import { OnInit } from '@angular/core';
import { SizeEnum } from '../../../model/components/size.enum';
import { VariantEnum } from '../../../model/components/variant.enum';
import * as i0 from "@angular/core";
export declare class IconComponent implements OnInit {
    icon: string;
    fill: string;
    strokeWidth: number;
    strokeColor: string;
    size: SizeEnum | string;
    variant: VariantEnum | string;
    ngOnInit(): void;
    get iconPath(): string;
    private getFormattedColor;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconComponent, "ct-icon", never, { "icon": { "alias": "icon"; "required": false; }; "fill": { "alias": "fill"; "required": false; }; "strokeWidth": { "alias": "strokeWidth"; "required": false; }; "strokeColor": { "alias": "strokeColor"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, never, true, never>;
}
