import { SizeEnum } from '../../../model/components/size.enum';
import * as i0 from "@angular/core";
export declare class MenuItemComponent {
    text: string;
    link: string;
    type: string | 'internal' | 'external';
    icon?: string;
    iconSize?: SizeEnum | string;
    iconAlone: boolean;
    iconDirection: string | 'vertical' | 'horizontal';
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuItemComponent, "ct-menu-item", never, { "text": { "alias": "text"; "required": false; }; "link": { "alias": "link"; "required": true; }; "type": { "alias": "type"; "required": true; }; "icon": { "alias": "icon"; "required": false; }; "iconSize": { "alias": "iconSize"; "required": false; }; "iconAlone": { "alias": "iconAlone"; "required": false; }; "iconDirection": { "alias": "iconDirection"; "required": false; }; }, {}, never, never, true, never>;
}
