import { AfterViewInit, OnDestroy, QueryList } from '@angular/core';
import { AccordionItemComponent } from '../../atoms/accordion-item/accordion-item.component';
import * as i0 from "@angular/core";
export declare class AccordionComponent implements AfterViewInit, OnDestroy {
    private readonly destroyRef;
    private readonly accordionRegistryService;
    label: string;
    id: string;
    policy: string | 'collapse' | 'open';
    gap: number;
    parentAccordion: string;
    parentTrigger: string;
    accordionItems: QueryList<AccordionItemComponent>;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    closePanes(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccordionComponent, "ct-accordion", never, { "label": { "alias": "label"; "required": false; }; "id": { "alias": "id"; "required": true; }; "policy": { "alias": "policy"; "required": false; }; "gap": { "alias": "gap"; "required": false; }; "parentAccordion": { "alias": "parentAccordion"; "required": false; }; "parentTrigger": { "alias": "parentTrigger"; "required": false; }; }, {}, ["accordionItems"], ["*"], true, never>;
}
