import { EventEmitter } from '@angular/core';
import { TypeEnum } from '../../model/components/type.enum';
import { FormGroupDirective } from '@angular/forms';
import { FormGenericComponent } from '../../services/form-generic.abstract';
import * as i0 from "@angular/core";
export declare class InputComponent extends FormGenericComponent {
    formControlName: string;
    key: string;
    label: string;
    placeholder: string;
    value: any;
    type: TypeEnum | string;
    fullSize: boolean;
    typed: EventEmitter<string>;
    onFocusOut(): void;
    constructor(formGroupDirective: FormGroupDirective);
    input(event: Event): void;
    setValue(value: any, propagate?: boolean): void;
    writeValue(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputComponent, "ct-input", never, { "formControlName": { "alias": "formControlName"; "required": true; }; "key": { "alias": "key"; "required": true; }; "label": { "alias": "label"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "value": { "alias": "value"; "required": false; }; "type": { "alias": "type"; "required": false; }; "fullSize": { "alias": "fullSize"; "required": false; }; }, { "typed": "typed"; }, never, never, true, never>;
}
