/**
 * Used for some components to determine positioning of various elements
 */
export declare enum PositionEnum {
    /** left horizontal position */
    LEFT = "left",
    /** right horizontal position */
    RIGHT = "right",
    /** center horizontal position */
    CENTER = "center",
    /** top vertical position */
    TOP = "top",
    /** bottom vertical position */
    BOTTOM = "bottom",
    /** middle vertical position */
    MIDDLE = "middle"
}
