/**
 * Used for some components to determine sizing of various elements. Relates to 'tailwind' classes to facilitate dev's life
 */
export declare enum SizeEnum {
    /** extra-small */
    XS = "xs",
    /** small */
    SM = "sm",
    /** default size */
    BASE = "base",
    /** large */
    LG = "lg",
    /** extra-large */
    XL = "xl"
}
