import { SizeEnum } from '../../../model/components/size.enum';
import { TypeEnum } from '../../../model/components/type.enum';
import { VariantEnum } from '../../../model/components/variant.enum';
import { PositionEnum } from '../../../model/components/position.enum';
import * as i0 from "@angular/core";
/**
 * This is the ButtonComponent, widely used among other components
 */
export declare class ButtonComponent {
    text?: string;
    icon?: string;
    iconPosition?: PositionEnum | string;
    fullSize: boolean;
    size: SizeEnum | string;
    type: TypeEnum | string;
    variant: VariantEnum | string;
    get cssClassmap(): {
        [className: string]: boolean;
    };
    hasJustIcon(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonComponent, "ct-button", never, { "text": { "alias": "text"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "iconPosition": { "alias": "iconPosition"; "required": false; }; "fullSize": { "alias": "fullSize"; "required": false; }; "size": { "alias": "size"; "required": false; }; "type": { "alias": "type"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, never, true, never>;
}
