/**
 * Used for some components to determine the variance of diverse elements.
 */
export declare enum VariantEnum {
    /** produces a non-styled element */
    BLANK = "blank",
    /** produces a solid element */
    SOLID = "solid",
    /** produces a bordered element */
    OUTLINE = "outline",
    /** produces a solid-gradient element */
    GRADIENT = "gradient"
}
